*** org/postgresql/jdbc1/ResultSet.java_7.2b4	Tue Dec 11 13:48:05 2001
--- org/postgresql/jdbc1/ResultSet.java	Tue Jan 15 18:50:42 2002
***************
*** 469,491 ****
  	{
  		String s = getString(columnIndex);
  
! 		if (s != null)
  		{
! 			try
! 			{
! 				if (s.length() != 5 && s.length() != 8)
! 					throw new NumberFormatException("Wrong Length!");
! 				int hr = Integer.parseInt(s.substring(0, 2));
! 				int min = Integer.parseInt(s.substring(3, 5));
! 				int sec = (s.length() == 5) ? 0 : Integer.parseInt(s.substring(6));
! 				return new Time(hr, min, sec);
! 			}
! 			catch (NumberFormatException e)
! 			{
! 				throw new PSQLException ("postgresql.res.badtime", s);
! 			}
  		}
- 		return null;		// SQL NULL
  	}
  
  	/*
--- 469,499 ----
  	{
  		String s = getString(columnIndex);
  
! 		if (s == null)
! 			return null; // SQL NULL
! 
! 		// 2002-01-15 17:22:41.863506+09  timestamp with time zone
! 		// 2002-01-15 17:22:41+09         timestamp(0) with time zone
! 		// 2002-01-15 17:25:11.451415     timestamp without time zone
! 		// 2002-01-15 17:25:11            timestamp(0) without time zone
! 		// 17:25:39.731669                time without time zone
! 		// 17:25:39                       time(0) without time zone
! 		// 17:26:27.537975+09             time with time zone
! 		// 17:26:27+09                    time(0) with time zone
! 
! 		String hhmmss;
! 		if (19 <= s.length() && s.charAt(10) == ' ')
! 			hhmmss = s.substring(11, 19);
! 		else
! 			hhmmss = s.substring(0, 8);
! 		try
! 		{
! 			return Time.valueOf(hhmmss);
! 		}
! 		catch (NumberFormatException e)
  		{
! 			throw new PSQLException("postgresql.res.badtime", s);
  		}
  	}
  
  	/*
